diff --git a/.gitattributes b/.gitattributes
new file mode 100644
index 0000000..f087b42
--- /dev/null
+++ b/.gitattributes
@@ -0,0 +1 @@
+*.tar.gz filter=lfs diff=lfs merge=lfs -text
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..1534ba5
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,3 @@
+*.rpm
+*.log
+*spec-20*
diff --git a/Makefile b/Makefile
new file mode 100644
index 0000000..2f6b4b6
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,21 @@
+# Makefile for source rpm: daemontools
+# $Id: Makefile,v 1.1 2016/02/04 12:24:52 vip-ire Exp $
+NAME := daemontools
+SPECFILE = $(firstword $(wildcard *.spec))
+
+define find-makefile-common
+for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
+endef
+
+MAKEFILE_COMMON := $(shell $(find-makefile-common))
+
+ifeq ($(MAKEFILE_COMMON),)
+# attept a checkout
+define checkout-makefile-common
+test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
+endef
+
+MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
+endif
+
+include $(MAKEFILE_COMMON)
diff --git a/README.md b/README.md
index 6c3e144..7db0b94 100644
--- a/README.md
+++ b/README.md
@@ -1,3 +1,11 @@
# daemontools
-3rd Party (Maintained by Koozali) git repo for daemontools smeserver
\ No newline at end of file
+3rd Party (Maintained by Koozali) git repo for daemontools smeserver
+
+## Description
+
+
*This description has been generated by an LLM AI system and cannot be relied on to be fully correct.*
+*Once it has been checked, then this comment will be deleted*
+
+
+Daemontools is a collection of tools for managing Unix services, also known as daemons. It provides services with logging and service monitoring capabilities, and is commonly used to manage and maintain Unix-like systems. It includes a supervisor process which can be used to start, stop, and monitor services, as well as providing support for resource limits, state transition notifications, automated restarts, and runtime configuration changes.
diff --git a/contriborbase b/contriborbase
new file mode 100644
index 0000000..ef36a67
--- /dev/null
+++ b/contriborbase
@@ -0,0 +1 @@
+sme10
diff --git a/daemontools-0.76.tar.gz b/daemontools-0.76.tar.gz
new file mode 100644
index 0000000..c6085e5
--- /dev/null
+++ b/daemontools-0.76.tar.gz
@@ -0,0 +1,3 @@
+version https://git-lfs.github.com/spec/v1
+oid sha256:a55535012b2be7a52dcd9eccabb9a198b13be50d0384143bd3b32b8710df4c1f
+size 36975
diff --git a/daemontools.spec b/daemontools.spec
new file mode 100644
index 0000000..d713fb8
--- /dev/null
+++ b/daemontools.spec
@@ -0,0 +1,152 @@
+# $Id: daemontools.spec,v 1.2 2023/07/14 08:22:02 brianr Exp $
+
+%define destdir %buildroot
+%global myhome /usr/local
+Buildroot: %_builddir/%name-%version-root
+License: Check with djb
+Group: Utilities/System
+Name: daemontools
+Provides: daemontools
+Release: 6%{?dist}
+Source: http://cr.yp.to/%{name}/%{name}-%{version}.tar.gz
+Summary: Various tools to start/stop/monitor daemons.
+%define debug_package %{nil}
+%define __arch_install_post %{nil}
+URL: http://cr.yp.to/%{name}.html
+Version: 0.76
+
+%description
+ daemontools is a collection of tools for managing UNIX services.
+
+ supervise monitors a service. It starts the service and restarts the
+ service if it dies. Setting up a new service is easy: all supervise
+ needs is a directory with a run script that runs the service.
+
+ multilog saves error messages to one or more logs. It optionally
+ timestamps each line and, for each log, includes or excludes lines
+ matching specified patterns. It automatically rotates logs to limit
+ the amount of disk space used. If the disk fills up, it pauses and
+ tries again, without losing any data.
+
+%prep
+%setup -c -n package
+
+%build
+cd admin/%name-%version
+sed -e 's}^parent.*}parent=/package/admin}' \
+ -e 's} /command/} %destdir/command/}g' \
+ -e 's}-p /command}-p %destdir/command}' \
+ -e 's}ln -s %destdir/command/}ln -s /command/}' \
+ -e 's} /usr/local/bin/} %destdir/usr/local/bin/}g' \
+ -e 's}/usr/local}%myhome}g' \
+ package/upgrade > package/upgrade'{new}'
+
+if [ "$?" != 0 ]; then
+ exit 1
+else
+ mv package/upgrade'{new}' package/upgrade
+ chmod 755 package/upgrade
+fi
+
+echo gcc -O2 --include /usr/include/errno.h > src/conf-cc
+package/compile
+
+cd ../..
+
+COMPILER="Compiler: $(gcc -v 2>&1 | tail -1)"
+HARDWARE="Hardware: $(uname -m)"
+LIBRARY="Library: $(rpm -q glibc)"
+OSVERSION="OSversion: $(uname -sr)"
+PACKAGER="Packager: %packager"
+REDHATRELEASE="RedHat release: $(cat /etc/redhat-release)"
+RPMVERSION="rpm version: $(rpm -q rpm)"
+
+echo "The %name rpm was created in the following environment:
+" > README.rpm
+echo "$COMPILER
+$HARDWARE
+$LIBRARY
+$OSVERSION
+$PACKAGER
+$REDHATRELEASE
+$RPMVERSION
+
+The packager above has made an honest attempt to make sure
+the package behaves correctly.
+" >> README.rpm
+
+if test "%myhome" != "/usr/local"; then
+ echo "" >> README.rpm
+ echo "You cannot distribute this rpm publicly" >> README.rpm
+fi
+
+%install
+mkdir -p %destdir/%myhome/bin
+mkdir -p %destdir/service
+mkdir -p %destdir/package
+mkdir -p %destdir/%{_docdir}/%name-%version
+mv README.rpm %destdir/%{_docdir}/%name-%version
+
+cd admin/%name-%version
+mv package/README %destdir/%{_docdir}/%name-%version
+mv src/{CHANGES,TODO} %destdir/%{_docdir}/%name-%version
+package/upgrade
+cd ../..
+
+cp -a admin %destdir/package/
+/bin/rm %destdir/package/admin/%name-%version/src/*
+/bin/rm -r %destdir/package/admin/%name-%version/compile
+
+%post
+cd /package/admin/%name-%version
+package/run
+echo You may want to add /command to PATH.
+
+%clean
+rm -rf %destdir
+
+
+%changelog
+* Thu Oct 26 2023 BogusDateBot
+- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
+ by assuming the date is correct and changing the weekday.
+
+* Fri Jul 14 2023 brian read
+- add {} round vars in source lines so that can be converted to git [SME: 12380]
+
+* Sun Apr 29 2007 Shad L. Lords
+- Clean up spec so package can be built by koji/plague
+
+* Tue Apr 24 2007 Charlie Brady 0.76-6
+- disable build of debuginfo package.
+
+* Thu Dec 07 2006 Shad L. Lords
+- Update to new release naming. No functional changes.
+- Make Packager generic
+
+* Tue Dec 20 2005 Charlie Brady 0.76-4es1
+- Fixes for build under CentOS4 and FC4.
+- Move documentation to RedHat canonical location.
+
+* Wed Jun 23 2004 Charlie Brady 0.76-3es1
+- Adjust compiler configuration to work around glibc errno issue
+
+* Thu Aug 23 2001 Mate Wierdl
+- adjusted for slashpackage setup
+
+%files
+%defattr(-,root,root)
+%doc %dir %{_docdir}/%name-%version
+%doc %{_docdir}/%name-%version/CHANGES
+%doc %{_docdir}/%name-%version/README*
+%doc %{_docdir}/%name-%version/TODO
+%dir%attr(1755,root,root) /package
+%dir%attr(755,root,root) /command
+%dir%attr(755,root,root) /service
+%dir /package/admin/%name-%version/src
+/package/admin/%name-%version/command
+/package/admin/%name-%version/package
+/package/admin/%name
+/command/*
+%myhome/bin/*
+